#ifndef MUSICCLOUDTOOLBOXWIDGET_H
#define MUSICCLOUDTOOLBOXWIDGET_H

/* =================================================
 * This file is part of the TTK Music Player project
 * Copyright (C) 2015 - 2018 Greedysky Studio

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along
 * with this program; If not, see <http://www.gnu.org/licenses/>.
 ================================================= */

#include "musicsong.h"
#include "musicfunctiontoolboxwidget.h"

class MusicCloudUploadTableWidget;
class MusicCloudDownloadTableWidget;
class MusicDownloadAbstractTableWidget;

/*! @brief The class of the cloud tool box widget.
 * @author Greedysky <greedysky@163.com>
 */
class MUSIC_TOOL_EXPORT MusicCloudToolBoxWidget : public MusicFunctionToolBoxWidget
{
    Q_OBJECT
    TTK_DECLARE_MODULE(MusicCloudToolBoxWidget)
public:
    /*!
     * Object contsructor.
     */
    explicit MusicCloudToolBoxWidget(QWidget *parent = 0);

    virtual ~MusicCloudToolBoxWidget();

public Q_SLOTS:
    /*!
     * Update item title.
     */
    void updateItemTitle(int index);

protected:
    /*!
     * Create widget item.
     */
    void createWidgetItem(MusicDownloadAbstractTableWidget *w, const QString &text, int index);
    /*!
     * Create item.
     */
    virtual MusicFunctionToolBoxWidgetItem* createItem(QWidget *item, const QString &text);

    MusicSongItems m_songItems;

};

#endif // MUSICCLOUDTOOLBOXWIDGET_H
